[Libreoffice-commits] online.git: 2 commits - docker/l10n-docker-nightly.sh

Libreoffice Gerrit user logerrit at kemper.freedesktop.org
Fri Dec 21 13:25:29 UTC 2018


 docker/l10n-docker-nightly.sh |   21 +++++++++++++++++----
 1 file changed, 17 insertions(+), 4 deletions(-)

New commits:
commit fb51909217e1973933e9ccc45f831d6264749202
Author:     Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>
AuthorDate: Fri Dec 21 12:26:53 2018 +0100
Commit:     Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>
CommitDate: Fri Dec 21 14:25:16 2018 +0100

    Docker: Clone from upstream repo
    
    Change-Id: I0977d3e0de5df0b4cac819559b67548e07a00583
    Reviewed-on: https://gerrit.libreoffice.org/65528
    Reviewed-by: Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>
    Tested-by: Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>

diff --git a/docker/l10n-docker-nightly.sh b/docker/l10n-docker-nightly.sh
index 03cd0069f..87cc31c69 100755
--- a/docker/l10n-docker-nightly.sh
+++ b/docker/l10n-docker-nightly.sh
@@ -50,14 +50,14 @@ mkdir -p "$INSTDIR"
 
 # libreoffice repo
 if test ! -d libreoffice ; then
-    git clone git://anongit.freedesktop.org/libreoffice/core libreoffice || exit 1
+    git clone https://git.libreoffice.org/core libreoffice || exit 1
 fi
 
 ( cd libreoffice && git checkout master && ./g pull -r ) || exit 1
 
 # online repo
 if test ! -d online ; then
-    git clone git://anongit.freedesktop.org/libreoffice/online online || exit 1
+    git clone https://git.libreoffice.org/online online || exit 1
     ( cd online && ./autogen.sh ) || exit 1
 fi
 
commit a43ba457d6da34398247e6c10c47f7166fc0a93c
Author:     Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>
AuthorDate: Fri Dec 21 12:14:25 2018 +0100
Commit:     Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>
CommitDate: Fri Dec 21 14:25:09 2018 +0100

    docker: Allow using a different docker hub repo/tag
    
    Still defaults to libreoffice/online:master
    
    Change-Id: Ice1f27b273a63aa1e2e3ea87c7ac409004e8b214
    Reviewed-on: https://gerrit.libreoffice.org/65525
    Reviewed-by: Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>
    Tested-by: Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>

diff --git a/docker/l10n-docker-nightly.sh b/docker/l10n-docker-nightly.sh
index 0ad3d47f0..03cd0069f 100755
--- a/docker/l10n-docker-nightly.sh
+++ b/docker/l10n-docker-nightly.sh
@@ -5,6 +5,10 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
+# -- Available env vars --
+# * DOCKER_HUB_REPO - which Docker Hub repo to use
+# * DOCKER_HUB_TAG  - which Docker Hub tag to create
+
 # check we can sudo without asking a pwd
 echo "Trying if sudo works without a password"
 echo
@@ -13,6 +17,15 @@ echo "yourusername ALL=(ALL) NOPASSWD: ALL"
 echo
 sudo echo "works"
 
+# Check env variables
+if [ -z "$DOCKER_HUB_REPO" ]; then
+  DOCKER_HUB_REPO="libreoffice/online"
+fi;
+if [ -z "$DOCKER_HUB_TAG" ]; then
+  DOCKER_HUB_TAG="master"
+fi;
+echo "Using Docker Hub Repository: '$DOCKER_HUB_REPO' with tag '$DOCKER_HUB_TAG'."
+
 # check if we have jake
 which jake || { cat << EOF
 
@@ -135,5 +148,5 @@ chrpath -r '$ORIGIN' "$INSTDIR"/opt/libreoffice/program/libcairo.so.2
 # Create new docker image
 
 cd "$SRCDIR"
-docker build --no-cache -t libreoffice/online:master . || exit 1
-docker push libreoffice/online:master || exit 1
+docker build --no-cache -t $DOCKER_HUB_REPO:$DOCKER_HUB_TAG . || exit 1
+docker push $DOCKER_HUB_REPO:$DOCKER_HUB_TAG || exit 1


More information about the Libreoffice-commits mailing list